import Vue from 'vue';
import Vuex from 'vuex';

// 模块
import home from './modules/home';
import user from './modules/user';
Vue.use(Vuex);

const store = new Vuex.Store({
	state: {
		lclist: 0,
		messagelist: null,
		Eventsmsg:null
	},
	mutations: {
		setLcList(state, payload) {
			state.lclist = payload
		},
		setMessage(state, payload) {
			state.messagelist = payload
		},
		setEventsmsg(state,payload){
			state.Eventsmsg=payload
		}
	},
	modules: {
		home,
		user
	},
});

export default store;